## Delete a custom object record `client.Object.Delete(ctx, id, params) (*ObjectDeleteResponse, error)` **delete** `/v1/objects/{entitySlug}/values/{id}` Moves a custom object record to the trash. The record is soft-deleted and may be restored from the Lightfield UI. Calling delete on an already-trashed record is a no-op and returns the existing record. **[Required scope](/using-the-api/scopes/):** `custom_objects:delete` **[Rate limit category](/using-the-api/rate-limits/):** Write ### Parameters - `id string` The ID of the record to delete. - `params ObjectDeleteParams` - `EntitySlug param.Field[string]` Path param: The slug of the custom object type. - `Body param.Field[ObjectDeleteParamsBody]` Body param ### Returns - `type ObjectDeleteResponse struct{…}` - `ID string` Unique identifier for the entity. - `CreatedAt string` ISO 8601 timestamp of when the entity was created. - `Fields map[string, ObjectDeleteResponseField]` Map of field names to their typed values. System fields are prefixed with `$` (e.g. `$name`, `$email`); custom attributes use their bare slug. - `Value ObjectDeleteResponseFieldValueUnion` The field value, or null if unset. - `string` - `float64` - `bool` - `type ObjectDeleteResponseFieldValueArray []string` - `type ObjectDeleteResponseFieldValueAddress struct{…}` - `City string` City name. - `Country string` 2-letter ISO 3166-1 alpha-2 country code. - `Latitude float64` Latitude coordinate. - `Longitude float64` Longitude coordinate. - `PostalCode string` Postal or ZIP code. - `State string` State or province. - `Street string` Street address line 1. - `Street2 string` Street address line 2. - `type ObjectDeleteResponseFieldValueFullName struct{…}` - `FirstName string` The contact's first name. - `LastName string` The contact's last name. - `ValueType string` The data type of the field. - `const ObjectDeleteResponseFieldValueTypeAddress ObjectDeleteResponseFieldValueType = "ADDRESS"` - `const ObjectDeleteResponseFieldValueTypeCheckbox ObjectDeleteResponseFieldValueType = "CHECKBOX"` - `const ObjectDeleteResponseFieldValueTypeCurrency ObjectDeleteResponseFieldValueType = "CURRENCY"` - `const ObjectDeleteResponseFieldValueTypeDatetime ObjectDeleteResponseFieldValueType = "DATETIME"` - `const ObjectDeleteResponseFieldValueTypeEmail ObjectDeleteResponseFieldValueType = "EMAIL"` - `const ObjectDeleteResponseFieldValueTypeFullName ObjectDeleteResponseFieldValueType = "FULL_NAME"` - `const ObjectDeleteResponseFieldValueTypeMarkdown ObjectDeleteResponseFieldValueType = "MARKDOWN"` - `const ObjectDeleteResponseFieldValueTypeMultiSelect ObjectDeleteResponseFieldValueType = "MULTI_SELECT"` - `const ObjectDeleteResponseFieldValueTypeNumber ObjectDeleteResponseFieldValueType = "NUMBER"` - `const ObjectDeleteResponseFieldValueTypeSingleSelect ObjectDeleteResponseFieldValueType = "SINGLE_SELECT"` - `const ObjectDeleteResponseFieldValueTypeSocialHandle ObjectDeleteResponseFieldValueType = "SOCIAL_HANDLE"` - `const ObjectDeleteResponseFieldValueTypeTelephone ObjectDeleteResponseFieldValueType = "TELEPHONE"` - `const ObjectDeleteResponseFieldValueTypeText ObjectDeleteResponseFieldValueType = "TEXT"` - `const ObjectDeleteResponseFieldValueTypeURL ObjectDeleteResponseFieldValueType = "URL"` - `const ObjectDeleteResponseFieldValueTypeHTML ObjectDeleteResponseFieldValueType = "HTML"` - `HTTPLink string` URL to view the entity in the Lightfield web app, or null. - `Relationships map[string, ObjectDeleteResponseRelationship]` Map of relationship names to their associated entities. System relationships are prefixed with `$` (e.g. `$owner`, `$contact`). - `Cardinality string` Whether the relationship is `has_one` or `has_many`. - `ObjectType string` The type of the related object (e.g. `account`, `contact`). - `Values []string` IDs of the related entities. - `UpdatedAt string` ISO 8601 timestamp of when the entity was last updated, or null. - `ExternalID string` External identifier for the entity, or null if unset. ### Example ```go package main import ( "context" "fmt" "github.com/Lightfld/lightfield-go" "github.com/Lightfld/lightfield-go/option" ) func main() { client := githubcomlightfldlightfieldgo.NewClient( option.WithAPIKey("My API Key"), ) objectDeleteResponse, err := client.Object.Delete( context.TODO(), "id", githubcomlightfldlightfieldgo.ObjectDeleteParams{ EntitySlug: "entitySlug", }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", objectDeleteResponse.ID) } ``` #### Response ```json { "id": "id", "createdAt": "createdAt", "fields": { "foo": { "value": "string", "valueType": "ADDRESS" } }, "httpLink": "httpLink", "relationships": { "foo": { "cardinality": "cardinality", "objectType": "objectType", "values": [ "string" ] } }, "updatedAt": "updatedAt", "externalId": "externalId" } ```